summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xssn.at>2011-01-16 19:35:20 +0100
committerFlorian Pritz <bluewind@xssn.at>2011-01-16 19:35:20 +0100
commita596ede1cff7a94a11f2ae9503972cc30fb429bc (patch)
tree293d598c090537bca8d785a28187063b0c545e34
parent6605810da359b36f22ae3ee3f0a4ffa9eb1aa33d (diff)
downloadbin-a596ede1cff7a94a11f2ae9503972cc30fb429bc.tar.gz
bin-a596ede1cff7a94a11f2ae9503972cc30fb429bc.tar.xz
add some nice scripts
Signed-off-by: Florian Pritz <bluewind@xssn.at>
-rwxr-xr-xgen-thumbs.sh4
-rwxr-xr-xrelpkg51
-rwxr-xr-xsend-link-to-phone.sh3
-rwxr-xr-xthunar3
-rwxr-xr-xthunderbird3
5 files changed, 64 insertions, 0 deletions
diff --git a/gen-thumbs.sh b/gen-thumbs.sh
new file mode 100755
index 0000000..b259e1e
--- /dev/null
+++ b/gen-thumbs.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+for i in "$@"; do
+ convert "$i" -thumbnail 245 -gravity North -extent 245x153 -bordercolor white -border 6 -bordercolor grey60 -border 1 -background none -background black \( +clone -shadow 60x4+4+4 \) +swap -background none -flatten -depth 8 "t_$i"
+done
diff --git a/relpkg b/relpkg
new file mode 100755
index 0000000..cb6cdc4
--- /dev/null
+++ b/relpkg
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+repodir="/srv/http/sites/bluewind/repo"
+host="bluewind.at"
+user="web-flo"
+dbfile="bluewind.db.tar.gz"
+all_arches=(i686 x86_64)
+
+_startdir="$PWD"
+
+error() {
+ echo "ERROR: $@" >&2
+ exit 1
+}
+
+warn() {
+ echo "WARNING: $@" >&2
+}
+
+if [[ $# > 0 ]]; then
+ _dirs="$@"
+else
+ _dirs="."
+fi
+
+for _dir in $_dirs; do
+ cd "$_startdir/$_dir"
+ source PKGBUILD
+
+ unset -f build
+ unset -f package
+
+ for _arch in ${arch[@]}; do
+ pkgfile="${pkgname}-${pkgver}-${pkgrel}-${_arch}.pkg.tar.xz"
+ if [[ ! -f "$pkgfile" ]]; then
+ warn "$pkgfile doesn't exist"
+ continue
+ fi
+ rsync --partial --progress "$pkgfile" "$user@$host://$repodir/$_arch/$pkgfile"
+ if [[ $_arch == "any" ]]; then
+ for _arch in ${all_arches[@]}; do
+ ssh "$user@$host" "ln -sf ../any/$pkgfile $repodir/$_arch/$pkgfile"
+ ssh "$user@$host" "repo-add -q $repodir/$_arch/$dbfile $repodir/$_arch/$pkgfile"
+ done
+ else
+ ssh "$user@$host" "repo-add -q $repodir/$_arch/$dbfile $repodir/$_arch/$pkgfile"
+ fi
+ done
+
+ #ssh "$user@$host" "$repodir/bin/clean_pkg_name" "$pkgname"
+done
diff --git a/send-link-to-phone.sh b/send-link-to-phone.sh
new file mode 100755
index 0000000..b5e0267
--- /dev/null
+++ b/send-link-to-phone.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+ssh aero dbus-send --system --type=method_call --dest=com.nokia.osso_browser /com/nokia/osso_browser/request com.nokia.osso_browser.load_url string:"$1"
diff --git a/thunar b/thunar
new file mode 100755
index 0000000..9c58dc6
--- /dev/null
+++ b/thunar
@@ -0,0 +1,3 @@
+#!/bin/sh
+dbus-send --session --dest=org.xfce.Thunar /org/xfce/Thunar org.xfce.Thunar "string:" "string:" &>/dev/null
+/usr/bin/thunar "$@"
diff --git a/thunderbird b/thunderbird
new file mode 100755
index 0000000..6c7c6f9
--- /dev/null
+++ b/thunderbird
@@ -0,0 +1,3 @@
+#!/bin/dash
+export LC_TIME=de_DE.utf8
+exec /usr/bin/thunderbird "$@"